diff -pruN 0.0~git20240505+e724106d1/Literatur.bib 0.0~git20240516+29fcc7464/Literatur.bib
--- 0.0~git20240505+e724106d1/Literatur.bib	2024-04-01 07:16:57.000000000 +0000
+++ 0.0~git20240516+29fcc7464/Literatur.bib	2024-05-16 16:09:29.000000000 +0000
@@ -527,10 +527,10 @@
   booktitle = {https://manpages.debian.org},
 }
 
-@Proceedings{SBuild2022,
+@Proceedings{SBuild2024,
   title     = {SBuild},
-  year      = {2022},
-  date      = {2022-11-20},
+  year      = {2024},
+  date      = {2024-05-15},
   url       = {https://wiki.debian.org/sbuild},
   author    = {wiki.debian.org},
   booktitle = {https://wiki.debian.org/sbuild},
diff -pruN 0.0~git20240505+e724106d1/Part2.nw 0.0~git20240516+29fcc7464/Part2.nw
--- 0.0~git20240505+e724106d1/Part2.nw	2024-05-05 09:46:42.000000000 +0000
+++ 0.0~git20240516+29fcc7464/Part2.nw	2024-05-16 16:09:29.000000000 +0000
@@ -2548,6 +2548,46 @@ deb http://incoming.debian.org/debian-bu
 in der \textit{/etc/apt/sources.lists} zu aktivieren. Damit stehen die 
 dortigen Pakete für das Bauen in der \textit{Pbuilder}-Chroot zur Verfügung.
 
+\section{Konfiguration von \textit{sbuild}}
+\label{sec:confFileSBuild}
+
+\textit{sbuild} kann genutzt ohne Root-Rechte genutzt werden. 
+
+Für diese Nutzung sind folgende Pakete zu installieren.\cite{SBuild2024}
+
+\begin{verbatim}
+sudo apt install sbuild mmdebstrap uidmap
+\end{verbatim}
+
+Die benötugten Verzeichnisse sind wie folgt zu installieren:
+
+\begin{verbatim}
+mkdir -p ~/.cache/sbuild
+\end{verbatim}
+
+Nun wird der Tarball der Chroot erstellt.
+
+\begin{verbatim}
+mmdebstrap --variant=buildd unstable ~/.cache/sbuild/unstable-amd64.tar.zst
+\end{verbatim}
+
+Danach wird eine neue Konfigurationsdatei \textit{\textasciitilde/.sbuildrc}
+erstellt. Eine bereits bestehende Datei wird überschrieben. 
+Sollten Sie bereits eine ~/.subildrc haben, erstellen Sie bei Bedarf eine
+Sicherungskopie. 
+
+<<.sbuild.rc>>=
+$chroot_mode = 'unshare';
+$distribution = 'unstable';
+#$run_autopkgtest = 1;
+$autopkgtest_root_args = '';
+$autopkgtest_opts = [ '--apt-upgrade', '--', 'unshare', '--release', '%r', '--arch', '%a' ];
+@
+
+%Die Erstellung der \texttt{Sbuild}-Chroot wird in 
+%Kapitel~\ref{subsec:CreateSchroot} (Seite~\pageref{subsec:CreateSchroot}) 
+%beschrieben.
+
 \section{Weitere \textit{Chroot-}Systeme}
 \label{sec:MoreChrootSystems}
 
@@ -3613,127 +3653,6 @@ Nutzerinterface installiert werden.
 \chapter{Reproduzierbare Builds}
 \label{chap:ReproducibleBuilds}
 
-\section{Konfiguration von \textit{sbuild}}
-\label{sec:confFileSBuild}
-
-Nach der Installation der benötigten Pakete:
-
-\begin{verbatim}
-sudo apt install sbuild schroot debootstrap apt-cacher-ng devscripts
-\end{verbatim}
-
-wird die Konfigurationsdatei \textit{sbuild} erstellt\cite{SBuild2022}.
-
-Dazu wird der folgende Abschnitt in die Datei \textasciitilde/.sbuildrc 
-kopiert. Diese Einstellungen ermöglichen es, lange Befehlszeilenoptionen 
-für typische Arbeitsabläufe zu vermeiden und alle Tests nach dem Build 
-auszuführen.
-
-<<.sbuild.rc>>=
-##############################################################################
-# PACKAGE BUILD RELATED (additionally produce _source.changes)
-##############################################################################
-# -d
-$distribution = 'unstable';
-# -A
-$build_arch_all = 1;
-# -s
-$build_source = 1;
-# --source-only-changes (applicable for dput. irrelevant for dgit push-source).
-$source_only_changes = 1;
-# -v
-$verbose = 1;
-<<.sbuild.rc5>>
-@
-
-Passen Sie parallel=5 an die Ressourcen Ihres Systems an.
-
-<<.sbuild.rc5>>=
-# parallel build
-$ENV{'DEB_BUILD_OPTIONS'} = 'parallel=5';
-<<.sbuild.rc6>>
-@
-
-Wenn stattdessen die Variable \$run\_lintian auf 0 gesetzt wird, wird die 
-Ausführung von lintian deaktiviert.
-
-Jede Post-Build-Paket-Testfunktion kann ausgeschaltet werden, 
-indem die entsprechende Variable auf 0 gesetzt wird. 
-
-<<.sbuild.rc6>>=
-##############################################################################
-# POST-BUILD RELATED (turn off functionality by setting variables to 0)
-##############################################################################
-$run_lintian = 1;
-$lintian_opts = ['-i', '-I'];
-<<.sbuild.rc7>>
-@
-
-Wenn die Variable \$run\_piuparts auf 0 gesetzet wird, wird die Ausführung 
-von piuparts deaktiviert.
-
-<<.sbuild.rc7>>=
-$run_piuparts = 1;
-$piuparts_opts = ['--schroot', 'unstable-amd64-sbuild'];
-<<.sbuild.rc8>>
-@
-
-Die Option \textit{'-{}-no-eatmydata'} für piuparts wird benötigt, wenn 
-\textit{schroot} mit \enquote{command-prefix=eatmydata} in 
-\textit{/etc/schroot/chroot.d/unstable-amd64-sbuild-*} konfigurieren. Dann muss 
-es am Ende -- nach einem Komma -- noch hinzugefügt werden
-
-Wenn Sie stattdessen die Variable \$run\_autopkgtest auf 0 setzen, wird 
-die Ausführung von autopkgtest deaktiviert.
-
-<<.sbuild.rc8>>=
-$run_autopkgtest = 1;
-$autopkgtest_root_args = '';
-$autopkgtest_opts = [ '--', 'schroot', '%r-%a-sbuild' ];
-
-##############################################################################
-# PERL MAGIC
-##############################################################################
-1;
-
-@
-
-Weitere Optionen finden Sie in der Manpage sbuild.conf. 
-
-Daneben muss der Nutzer mit 
-
-\begin{verbatim}
-    sudo sbuild-adduser \$LOGNAME
-\end{verbatim}
-
-in der Gruppe \textit{sbuild} eingerichtet werden. Dadurch wird Ihr 
-Benutzername hinzugefügt, so dass dieser den Befehl \textit{sbuild} 
-verwenden kann. 
-
-Folgende Meldung erscheint nach der Einrichtung des Nutzers:
-
-\begin{verbatim}
-Now try a build:
-
-  cd /path/to/source
-  sbuild-update -ud <distribution>
-  (or "sbuild-apt <distribution> apt-get -f install"
-       first if the chroot is broken)
-  sbuild -d <distribution> <package>_<version>
-\end{verbatim}
-
-Dies bedeutet, dass \textit{sbuild-adduser} die 
-\textit{sbuild}-Vorlagekonfiguration in 
-/usr/share/doc/sbuild/examples/example.sbuildrc in die 
-\textit{\textasciitilde/.sbuildrc} jedes Benutzers kopiert, um sie als 
-\textit{sbuild}-Konfiguration für den jeweiligen Benutzer zu verwenden. 
-Die \textit{sbuild}-Einstellungen können hier angepasst werden. In der 
-Regel sind aber keine Anpassungen notwendig. Wenn doch, sollten diese 
-einmal pro Benutzer durchgeführt werden. 
-
-Die Erstellung der \texttt{Sbuild}-Chroot wird in 
-Kapitel~\ref{subsec:CreateSchroot} (Seite~\pageref{subsec:CreateSchroot}) 
-beschrieben.
 
 \section{reprotest}
 
diff -pruN 0.0~git20240505+e724106d1/Part3.nw 0.0~git20240516+29fcc7464/Part3.nw
--- 0.0~git20240505+e724106d1/Part3.nw	2024-05-05 08:50:12.000000000 +0000
+++ 0.0~git20240516+29fcc7464/Part3.nw	2024-05-16 16:09:29.000000000 +0000
@@ -684,8 +684,9 @@ Bestimmte Arten von Paketen werden unter
 \texttt{Java}, \textit{maven} gebaut werden, um
 \texttt{Mozilla}-Erweiterungen und \texttt{Python}-Programme.
 
-Die Funktion \textit{DetectPlugins} ermittelt die Pfade zu den 
-Plugin-Skriptda\-teien. Sie kann auch für weitere Plugins verwendet werden.
+Die Funktion \textit{DetectPlugins} ermittelt die Pfade zu 
+Plugin-Skriptda\-teien. Sie kann für weitere Plugins verwendet werden.
+Sie wird derzeit nicht benutzt.
 
 Beim Aufruf von \textit{DetectPlugins} müssen zwei Optionen übergeben 
 werden. Dabei wird die erste Option (\textit{\$1}) an \textit{PluginName} 
@@ -693,7 +694,8 @@ und die zweite (\textit{\$2}) an \textit
 
 <<DetectPlugins>>=
 function DetectPlugins {
-    # Called by AskConfig
+    # Not Used.
+    # Funktion to find Plugins
 
     # This function needs two options: the name of the plugin
     # and the name of the plugin script file
@@ -779,18 +781,6 @@ Plugin-Skripte vermieden.
         else
             JavaFlag=0
         fi
-
-        if [ ${JavaFlag} -eq 1 ] && [ -z ${JavaPluginPath} ]
-        then
-            DetectPlugins 'Java' build-gbp-java-plugin.sh
-            if [ $? -eq 0 ]
-            then
-                JavaPluginPath=${PluginPath}
-            else
-                # If 'DetectPlugins' returns 24  
-                JavaFlag=0
-            fi
-        fi
         changeflag=1
     fi
 
@@ -811,32 +801,24 @@ der Konfigurationsdatei hinterlegt.
             if whiptail --title "Maven" --defaultno \
             --yesno "Should the (Java) package be built with maven?" \
             --yes-button "Yes" --no-button "No" --defaultno 15 60
-            then
-                MavenPluginFlag=1
-            else
-                MavenPluginFlag=0
-            fi
-            changeflag=1
-        fi
-
 <<AskConfig12>>
 @
 
-Der folgende Code bestimmt nun den Pfad zum Maven-Plugin.
+\begin{figure}[h]
+\centering
+\includegraphics[width=25em,height=30ex]{Pictures/BuildJavaMavenPackage.png}
+\caption{Soll ein \texttt{Java}-Paket mit \textit{maven} gebaut werden?}
+\end{figure}
 
 <<AskConfig12>>=
-        if [ ${MavenPluginFlag} -eq 1 ] && [ -z ${MavenPluginPath} ]
-        then
-            DetectPlugins 'Maven' build-gbp-maven-plugin.sh
-            if [ $? -eq 0 ]
+
             then
-                MavenPluginPath=${PluginPath}
+                MavenPluginFlag=1
             else
-                # If 'DetectPlugins' returns 24  
                 MavenPluginFlag=0
             fi
+            changeflag=1
         fi
-        changeflag=1
     fi
 
 <<AskConfig15>>
@@ -878,18 +860,6 @@ Seite~\pageref{subsubsec:DetectPlugins})
         else
             WebextFlag=0
         fi
-
-        if [ ${WebextFlag} -eq 1 ] && [ -z ${WebextPluginPath} ]
-        then
-            DetectPlugins 'Webext' build-gbp-webext-plugin.sh
-            if [ $? -eq 0 ]
-            then
-                WebextPluginPath=${PluginPath}
-            else
-                # If 'DetectPlugins' returns 24  
-                WebextFlag=0
-            fi
-        fi
         changeflag=1
     fi
 
@@ -913,7 +883,7 @@ eingetragen.
         if whiptail --title "Python3 programs" --defaultno \
         --yesno "Do you want to build a Python3 package?" \
         --yes-button "Yes" --no-button "No" --defaultno 15 60
-<<AskConfig18-1>>
+<<AskConfig19>>
 @
 
 \begin{figure}[h]
@@ -922,32 +892,12 @@ eingetragen.
 \caption{Soll ein \texttt{Python}3-Pakte gebaut werden?.}
 \end{figure}
 
-<<AskConfig18-1>>=
+<<AskConfig19>>=
         then
             PythonFlag=1
         else
             PythonFlag=0
         fi
-<<AskConfig19>>
-@
-
-Im folgenden wird abgefragt, ob der Pfad zum Plugin schon bekannt ist. 
-Andernfalls wird mit der Funktion \textit{DetectPlugins} danach gesucht.
-(Kapitel~\ref{subsubsec:DetectPlugins}, 
-Seite~\pageref{subsubsec:DetectPlugins})
-
-<<AskConfig19>>=
-        if [ ${PythonFlag} -eq 1 ] && [ -z ${PythonPluginPath} ]
-        then
-            DetectPlugins 'Python3' build-gbp-python-plugin.sh
-            if [ $? -eq 0 ]
-            then
-                PythonPluginPath=${PluginPath}
-            else
-                # If 'DetectPlugins' returns 24  
-                PluginFlag=0
-            fi
-        fi
         changeflag=1
     fi
 
@@ -1001,25 +951,13 @@ Dies gilt auch für die Erweiterungen f
         if [ ${JavaFlag} -eq 1 ]
         then
             echo 'MavenPluginFlag='${MavenPluginFlag} >> ${ConfigPath}${OrigName}
-            if [ ${MavenPluginFlag} -eq 1 ]
-            then
-                echo 'MavenPluginPath='${MavenPluginPath} >> ${ConfigPath}${OrigName}
-            fi
         fi
 
         echo '## Parameters for Webext packages'>> ${ConfigPath}${OrigName}
         echo 'WebextFlag='${WebextFlag} >> ${ConfigPath}${OrigName}
-        if [ ${WebextFlag} -eq 1 ]
-        then
-            echo 'WebextPluginPath='${WebextPluginPath} >> ${ConfigPath}${OrigName}
-        fi
 
         echo '## Parameters for Python3 packages'>> ${ConfigPath}${OrigName}
-        echo 'PythonFlag='${PythonFlag} >> ${ConfigPath}${OrigName}
-        if [ ${PythonFlag} -eq 1 ]
-        then
-            echo 'PythonPluginPath='${PythonPluginPath} >> ${ConfigPath}${OrigName}
-        fi
+        echo 'PythonFlag='${PythonFlag} >> ${ConfigPath}${OrigName}s
         changeflag=0
     fi
 }
@@ -2051,7 +1989,7 @@ function DebianBranchName {
 Sodann wird der aktive \texttt{Git}-Zweig ermittelt.
 
 <<DebianBranchName2>>=
-	set +e
+    set +e
     for element in ${ba[*]}
     do
         # Find the default branch
@@ -2160,7 +2098,7 @@ function IdentifyBranches {
     bl=$(git branch --all | sed --expression='s/* /x_/')
 }
 
-<<CreateSchroot>>
+<<CreateNewCow>>
 @
 
 \subsection{Git-Zweig Distribution zuordnen}
@@ -2173,7 +2111,7 @@ Git-Zweig eine Debian-Veröffentlichung
 function Distro4Branch {
     # Called by DebianBranchName CreateNewBranch AskDist BuildNewRevision
 
-	set +e
+    set +e
     # Set Debian distribution for branch
     if [ ${RecentBranch} != "debian/sid" -o -z "${RecentBranchD}" ]
     then
@@ -2850,7 +2788,7 @@ function CheckGitStatus {
     # Called by Import2Git BuildWithUscan PQImport
     # PatchesTreatment SelectBranch and itself
 
-	set +e
+    set +e
     # Checks git status
     echo "Notice from CheckGitStatus:" >> ${log}
     echo $(git status) >> ${log}
@@ -2964,7 +2902,7 @@ Kapitel~\ref{subsec:OneBranch} (Seite~\p
     ## Create a radiolist with the branch names
     ba=($bl)
     i=1; slct=''
-	set +e
+    set +e
     for element in ${ba[*]}
     do
         echo ${element} | grep 'x_' > /dev/null
@@ -2991,7 +2929,7 @@ Kapitel~\ref{subsec:OneBranch} (Seite~\p
         15 60 8 ${slct} --cancel-button "Task selection" 3>&2 2>&1 1>&3)
         if [ ! -z "${branch}" ]
         then
-			set +e
+            set +e
             branch=$(expr ${branch} - 1)
             set -e
             bName=${ba[$branch]}
@@ -3029,9 +2967,9 @@ angezeigt.
 <<ChangeEntry>>=
 function ChangeEntry {
     # Called by CreateNewBranch SelectBranch
-	set +e
+    set +e
     RecentBranchEntry=$(grep --count 'RecentBranch=' ${ConfigPath}${OrigName})
-	set -e
+    set -e
 
     ## Change RecentBranch entry in config file
     if [ ${RecentBranchEntry} -eq 0 ]
@@ -3484,10 +3422,10 @@ function PQImport {
     if echo $(git branch) | grep --quiet 'patch-queue/'${RecentBranch}
     # patch-queue branch already exists
     then
-		set -e
+        set -e
         return
     fi
-	set -e
+    set -e
 
     if [ -f debian/patches/series ]
     # debian/patches/series exists   
@@ -3697,7 +3635,7 @@ zur Versionbezeichnung eine nicht vorher
 <<ClassicalOrUscan1-1>>=
 
     else
-		set +e
+        set +e
         # Download from Mozilla repos is not possible with uscan
         if grep --quiet "addons.thunderbird.net" ${GitPath}/debian/watch
         then
@@ -4173,7 +4111,7 @@ Versionsbezeichnung eingegeben werden. D
 werden kann, darf die Versionsbezeichnung neben den Ziffern nur Punkte
 enthalten. Sie darf ferner die Angabe enthalten, ob es sich um einen
 \textit{Release-Kandidaten}, eine \textit{Beta-} oder
-\textit{Alpha}-Version handelt. Zulässig sit auch die Angabe, ob es sich
+\textit{Alpha}-Version handelt. Zulässig ist auch die Angabe, ob es sich
 um einen bestimmten \textit{Commit} aus dem \texttt{Git}-Repositorium
 handelt.
 
@@ -4279,7 +4217,6 @@ editiert werden soll.
         crflag=1
         set +e
         grep 'Files-Excluded' ${GitPath}/debian/copyright > /dev/null
-        set -e
         if [ $? -eq 0 ]
         then
             exflag=1
@@ -4287,6 +4224,7 @@ editiert werden soll.
             --msgbox "debian/copyright contains section Files-Excluded." 15 60
             less --LINE-NUMBERS ${GitPath}/debian/copyright
         fi
+        set -e
     fi
 
 <<ExcludeFiles3>>
@@ -5269,6 +5207,7 @@ function BuildWithUscan {
     cd ${GitPath}
 
     echo "Try gbp import-orig --uscan" >> ${log}
+    set +e
     uscaninfo=$(uscan --no-download --verbose)
     if [ ${#uscaninfo} -gt 0 ]
     then
@@ -5318,7 +5257,7 @@ function BuildWithUscan {
 Es wird nun die Funktion \textit{CheckRepackSuffix} ausgeführt.
 
 <<BuildWithUscan5>>=
-			set -e
+            set -e
             CheckRepackSuffix
             set +e
 <<BuildWithUscan5-1>>
@@ -5516,7 +5455,7 @@ Frage verneint werden.
         Normally you only need it at the first run" --yes-button "Yes" \
         --no-button "No" --defaultno 15 60
         then
-            . ${MavenPluginPath}
+            . build-gbp-maven-plugin
             MakeMaven
         fi
     fi
@@ -5622,7 +5561,7 @@ function DisplayDebianFiles {
 
     if [ ${WebextFlag} -eq 1 ]
     then
-        . ${WebextPluginPath}
+        . build-gbp-webext-plugin
     fi
 
     if [ -z "${PythonFlag}" ]
@@ -5632,7 +5571,7 @@ function DisplayDebianFiles {
 
     if [ ${PythonFlag} -eq 1 ]
     then
-        . ${PythonPluginPath}
+        . build-gbp-python-plugin
     fi
 
     DebianFormatTemplate
@@ -5781,7 +5720,7 @@ function DebianUpstreamMetadataTemplate
     cat debian/source/format | grep "native" > /dev/null
     if [ $? -eq 0 ]
     then
-		set -e
+        set -e
         return
     fi
     set -e
@@ -5955,7 +5894,7 @@ Dies gilt auch für alle darauf folgende
 Von der Verwendung der Version 11 wird bereits abgeraten.
 
 <<DebianControlTemplate1>>=
-    str4standardsversion="4.6.2"
+    str4standardsversion="4.7.0"
 
 <<DebianControlTemplate2>>
 @
@@ -6160,10 +6099,10 @@ function DebianWatchTemplate {
     cat debian/source/format | grep "native" > /dev/null
     if [ $? -eq 0 ]
     then
-		set -e
+        set -e
         return
     fi
-	set -e
+    set -e
 
     # String for debian/watch
     str4watch="version=4"
@@ -6308,7 +6247,7 @@ einem '?' oder '\#' entfernt wird.
     then
         WOpt=${WOpt}${olf}'filenamemangle=s/.+\/v?(\d\S+)\.*/$1/,'
     fi
-	set -e
+    set -e
 
 <<OptionsWatchFile8>>
 @
@@ -6340,7 +6279,7 @@ zugewiesen
 (Kapitel~\ref{subsec:ArchiveFormat}, Seite~\pageref{subsec:ArchiveFormat}). 
 
 <<DebianWatchTemplate3>>=
-		set +e
+        set +e
         if echo ${DownloadUrl} | grep "github" > /dev/null
         then
             DownloadUrl=$(echo ${DownloadUrl} | \
@@ -7177,7 +7116,7 @@ Seite~\pageref{subsec:ImportExistingPatc
 
     if [ ${npqf} -eq 0 ]
     then
-		set +e
+        set +e
         if echo $(git branch) | grep --quiet 'patch-queue/'${RecentBranch}
         # patch-queue  branch exists
         then
@@ -8247,7 +8186,7 @@ Existiert die Datei \textit{debian/chang
             cat --number debian/control | grep '1 ' | grep '#' > /dev/null
             if [ $? -eq 0 ]
             then
-				set -e
+                set -e
                 DebianControlTemplate
             fi
             set -e
@@ -8296,7 +8235,7 @@ function RecentIdentifier {
 
     if [ -f ${GitPath}/debian/changelog ]
     then
-		set +e
+        set +e
         firstLine=$(grep --line-number 'urgency=' ${GitPath}/debian/changelog | grep '^1:')
         set -e
         whiptail --title "First line:" \
@@ -8341,7 +8280,7 @@ function RecentIdentifier {
 Danach geht es mit Kontrollfragen weiter.
 
 <<AddVersionNumber1>>=
-	set +e
+    set +e
     revisionflag=$(echo ${Version1} | grep --count '\-[0-9]')
     set -e
     if [ ${revisionflag} -eq 0 ]
@@ -8382,7 +8321,7 @@ abgefragt.
 function InsertIdentifier {
     # Called by AddVersionNumber Recentidentifier
     RIdentifier=${Version1}
-	set +e
+    set +e
     cat debian/source/format | grep "native" > /dev/null
     if [ $? -eq 0 ]
     then
@@ -8420,7 +8359,7 @@ die neue Version kleiner als die aktuell
 Rückportieren sinnvoll
 
 <<DisplayDebianChangelog3>>=
-		set +e
+        set +e
         SnapshotFlag=$(echo ${Version1} | grep --count '~')
         if [ ${SnapshotFlag} -eq 0 ]
         then
@@ -8452,7 +8391,7 @@ Editieren angezeigt.
         --new-version=${Version1}${DchAdd}
         if [ $? -ne 0 ]
         then
-			set -e
+            set -e
             FailureNotice
         fi
         set -e
@@ -8649,7 +8588,7 @@ erfolgt ein Hinweis und der Nutzer kann
 
 <<AskDist5>>=
     else
-		set -e
+        set -e
         Distro4Branch
     fi
     set -e
@@ -8890,7 +8829,7 @@ Kapitel~\ref{sec:pbuilderdoes} (Seite~\p
 
 \textit{Sbuild} wird im offiziellen \textit{buildd}-Netzwerk verwendet, 
 um Binär- und Quellpakete für alle unterstützten Architekturen zu 
-erstellen.
+erstellen\cite{SBuild2024}.
 
 Es wird dafür jeweils eine eigene Buildumgebung erstellt.
 
@@ -8909,35 +8848,10 @@ Git-Zweiges für \textit{gbp buildpackag
 <<UsingSBuild1>>=
     LastQuestionsBeforeBuild
 
-<<UsingSbuild2>>
-@
-
-\section{In der \texttt{Sbuild}-Chroot bauen}
-\label{sec:ChangeRoot}
-
-\subsection{Erstellen der S-Chroot}
-\label{subsec:CreateSchroot}
-
-Zuerst wird geprüft, ob die Datei \textit{.sbuildrc} im Home-Verzeichnis 
-des Nutzers bereits angelegt ist (Kapitel~\ref{sec:confFileSBuild}, 
-Seite~\pageref{sec:confFileSBuild}).
-
-<<CreateSchroot>>=
-function CreateNewSchroot {
-    # Called by UsingSBuild
-    # Check whether ~/.sbuildrc exists
-    if ! [ -f ~/.sbuildrc ]
-    then
-        # Copy from template
-        cp /usr/share/doc/sbuild/examples/example.sbuildrc \
-        ${HOME}/.sbuildrc
-
-    fi
-
-    whiptail --title ".sbuildrc (now) exists." \
+    whiptail --title ".sbuildrc." \
     --msgbox "Please check (and edit) ~/.sbuildrc!" 15 60
 
-<<CreateSchroot2>>
+<<UsingSbuild2>>
 @
 
 \begin{figure}[h]
@@ -8946,94 +8860,32 @@ function CreateNewSchroot {
 \caption{.sbuildrc prüfen}
 \end{figure}
 
-Nun kann die Datei noch editiert werden
+Nun kann die Datei \textit{.sbuildrc} noch editiert werden. Wenn diese
+Datei leer ist, ist diese mit dem beschrieenen Inhalt zu füllen
+(s.~Kapitel~\ref{sec:confFileSBuild},
+Seite~\pageref{sec:confFileSBuild})
 
-<<CreateSchroot2>>=
+<<UsingSbuild2>>=
     nano ~/.sbuildrc
 
-<<CreateSchroot3>>
-@
-
-Dann wird die \texttt{Sbuild}-Chroot erstellt.
-
-Dabei wird \textit{sbuild-createchroot} genutzt, um eine \textit{chroot} 
-zu erstellen, die von \textit{sbuild} verwendet wird, um Pakete für 
-\textit{\texttt{Debian} Unstable Main} zu erstellen.
- 
-<<CreateSchroot3>>=
-    bDist="sid"
-    bDist=$(whiptail --title "Create new Sbuild-Chroot for ${RecentBranch}" \
-    --inputbox "Debian distribution\n \
-    for this branch ${RecentBranch}:" \
-    --cancel-button "Use Sid" 15 60 3>&2 2>&1 1>&3)
-    if [ ${bDist} = "" ]
-    then
-        bDist="sid"
-    fi
-    
-    sudo sbuild-createchroot ${bDist} \
-    /srv/chroot/${bDist}-amd64-sbuild \
-    http://127.0.0.1:3142/deb.debian.org/debian
-    echo "Schroot for "${bDist}" created." >> ${log}
-
-}
-<<CreateNewCow>>
-@
-
-Die \textit{schroot} wird in \textit{/srv/chroot/unstable-amd64-sbuild} 
-abgelegt. Es wird das Paket ccache in der \textit{schroot} installiert, 
-für den Fall, dass Sie einige der unten beschriebenen Erweiterungen nutzen 
-wollen. Das verwandte \textit{apt}-Re\-pository ist der Spiegeldienst 
-\textit{http://deb.debian.org/debian} über \textit{apt-cacher-ng}, der 
-automatisch einen geeigneten lokalen Spiegel auswählt. Dies kann geändert 
-werden, um eine URL für einen anderen Spiegel des Debian-Archivs zu 
-verwenden. 
-
-Dieser Befehl kann einmal pro gewünschte Distribution ausgeführt und an 
-\textit{-{}-arch=i386} übergeben werden, um eine \textit{schroot} für eine 
-andere Architektur zu erstellen (die Vorgabe ist die Host-Architektur).
-
-\subsection{sbuild-update}
-
-Die \textit{schroot} sollte auf dem neuesten Stand sein, bevor darin  
-Pakete erstellt werden. Die Aktualisierungen können mit 
-\textit{sbuild-update} durchgeführt werden.\cite{SBuild2022}
-
-<<UsingSbuild2>>=
     # Check whether chroot directory exits  
 
-    if [ -d  /srv/chroot/${RecentBranchD}-amd64-sbuild ]
+    if ! [ -d  ~/.cache/sbuild ]
     then
-        # if exists update-chroot
-        sudo sbuild-update --update --dist-upgrade --clean --autoclean \
-        --autoremove ${RecentBranchD}
-        echo "Updated Schroot for ${RecentBranchD}." >>${log}
-    else
-        # else create chroot
-        CreateNewSchroot
+        mkdir -p ~/.cache/sbuild
     fi
-    # ForceOrig
 
-    # sbuild  --dist=${RecentBranchD} *.dsc
+    # Create/Update tarballed chroot
+
+    mmdebstrap --variant=buildd ${RecentBranchD} ~/.cache/sbuild/${RecentBranchD}-amd64.tar.xz
+    
+    set +e
     gbp buildpackage --git-builder=sbuild \
         --git-debian-branch=${RecentBranch} \
         --git-dist=${RecentBranchD} --git-ignore-new
     gbpq=$?
 
-<<UsingSbuild3>>
-@
-
-Alle \textit{sbuild}-Chroots, die mit \textit{sbuild-createchroot} 
-erstellt werden, werden von \textit{schroot} erstellt und haben die Endung \textit{"-sbuild"}. Um also die Namen aller \textit{sbuild}-Chroots zu 
-finden, wird folgendes ausgeführt.
-
-\begin{verbatim}
-   schroot -l | grep sbuild
-\end{verbatim}
-
-<<UsingSbuild3>>=
-
-    sbuild  --dist=${RecentBranchD} #*.dsc
+    set -e
 }
 <<UsingPBuilder>>
 @
@@ -9665,7 +9517,7 @@ Prüfung bewirken.
 
 <<RunningLintian1>>=
 
-	set +e
+    set +e
     lininfo=$(lintian --check --display-experimental --display-info \
     --info --verbose --show-overrides --pedantic --tag-display-limit 0 \
     --color auto ${linfile})
@@ -9787,7 +9639,7 @@ function RunningUscan {
         return
     fi
 
-	set +e
+    set +e
     uscaninfo=$(uscan --no-download --verbose)
     if [ ${#uscaninfo} -gt 0 ]
     then
diff -pruN 0.0~git20240505+e724106d1/Part4.nw 0.0~git20240516+29fcc7464/Part4.nw
--- 0.0~git20240505+e724106d1/Part4.nw	2024-05-05 08:50:12.000000000 +0000
+++ 0.0~git20240516+29fcc7464/Part4.nw	2024-05-05 12:44:41.000000000 +0000
@@ -408,7 +408,7 @@ Wenn Patch-Queue-Zweige existieren, kön
 \textit{salsa.debian.org} gelöscht werden.
 
 <<Upload2Salsa5>>=
-			set +e
+            set +e
             if echo $(git branch) | grep --quiet 'patch-queue/'
             then
                 if whiptail --title "Patch queue branches found:" \
@@ -420,7 +420,7 @@ Wenn Patch-Queue-Zweige existieren, kön
                     $(git branch | grep 'patch-queue')
                 fi
             fi
-			set -e
+            set -e
 
             if ! whiptail --title "Last stop before upload!" \
             --yesno "Anything all right?" \
@@ -457,7 +457,7 @@ Wenn Patch-Queue-Zweige existieren, kön
 
             git push --set-upstream ${RepoName} --all >> ${log}
             git push --set-upstream ${RepoName} --tags >> ${log}
-			set -e
+            set -e
 
             echo ${SourceName}" was uploaded to salsa.debian.org." >> ${log}
         fi
@@ -1018,15 +1018,15 @@ function Upload2PeopleDO {
 function UploadFilesSelect {
     # Called by Upload2PeopleDO UploadLocal
 
-	set +e
+    set +e
     UplFL=$(cat ${UplPaket} | grep --after-context=10 'Files: *')
     UplFL1=$(echo ${UplFL} | sed --expression='s/Files: //')
     i=1
     while [ $i -lt 6 ]
     do
-        c=$(expr ${i} '*' '5')
+        c=$(expr ${i} \* 5)
         UplFL2=${UplFL2}" "$(echo $UplFL1 | cut --delimiter=" " -f${c})
-        i=$(expr ${i} '+' '1')
+        i=$(expr ${i} + 1)
     done
     set -e
 }
diff -pruN 0.0~git20240505+e724106d1/Part5.nw 0.0~git20240516+29fcc7464/Part5.nw
--- 0.0~git20240505+e724106d1/Part5.nw	2024-04-01 07:16:57.000000000 +0000
+++ 0.0~git20240516+29fcc7464/Part5.nw	2024-05-05 12:44:41.000000000 +0000
@@ -143,12 +143,21 @@ Seite~\pageref{sec:ScriptDependencies}).
 <<Header>>
 @
 
-\section{\textit{sed -e} und Funktionsheader}
+\section{\textit{set -e} und Funktionsheader}
 
 Nach der \texttt{Debian}-Policy\footnote{\url{https://www.debian.org/doc/debian-policy/ch-files.html\#scripts}
 \cite{DebianPolicy}} soll jedes Skript entweder \textit{set -e} benutzen
 oder den Exit-Status jedes Befehls prüfen.
 
+\textit{set -e} veranlasst das Programmskript zum sofortigen Beenden bei
+Fehlern. Dies ist dann der Fall, wenn ein Befehl oder eine Pipeline 
+(Symbol: \enquote{|}) einen \textit{Exit}-Status ungleich \textit{0} zurückgibt.
+
+Dieses Verhalten ist jedoch an einigen Stellen im Programmskript
+unerwünscht, beispielsweise wenn der Rückgabewert vom Programmskript
+abgefragt und zur Ablaufsteuerung verwandt wird. In diesen Fällen wird
+dieses Verhalten durch \textit{set +e} temporär ausgeschaltet.
+
 <<Header>>=
 
 set -e
diff -pruN 0.0~git20240505+e724106d1/Part6.nw 0.0~git20240516+29fcc7464/Part6.nw
--- 0.0~git20240505+e724106d1/Part6.nw	2024-05-05 09:46:42.000000000 +0000
+++ 0.0~git20240516+29fcc7464/Part6.nw	2024-05-05 12:44:41.000000000 +0000
@@ -1044,7 +1044,7 @@ function PythonRulesDH {
     # Called by DebianRulesTemplate
 
     sed --in-place \
-    --expression="s/dh $@/dh $@ -with python3 --buildsystem=pybuild/" \
+    --expression="s/dh $@/dh $@ --with python3 --buildsystem=pybuild/" \
     ${GitPath}/debian/rules
 
 }
Binary files 0.0~git20240505+e724106d1/Pictures/BuildJavaMavenPackage.png and 0.0~git20240516+29fcc7464/Pictures/BuildJavaMavenPackage.png differ
diff -pruN 0.0~git20240505+e724106d1/README.md 0.0~git20240516+29fcc7464/README.md
--- 0.0~git20240505+e724106d1/README.md	2024-03-24 08:58:52.000000000 +0000
+++ 0.0~git20240516+29fcc7464/README.md	2024-05-15 17:37:47.000000000 +0000
@@ -20,9 +20,14 @@ The generated book can be downloaded as
 All scripts are available with a user interface in English. The main script
 can help to build Debian packages using git-buildpackage.
 
-With the script create-buildscript.sh the main script build-gbp.sh and
-other scripts like plugins can be generated. They are also available at 
-https://ddp-team.pages.debian.net/dpb/
+With the script create-buildscript.sh the main script [build-gbp.sh][] and
+other scripts like plugins can be generated. The following plugins are
+available:
+
+* [build-gbp-java-plugin.sh][]
+* [build-gbp-maven-plugin.sh][]
+* [build-gbp-webext-plugin.sh][]
+* [build-gbp-python-plugin.sh][]
 
 # Dependencies
 
@@ -42,6 +47,7 @@ and additional for creating the book
 * texlive-lang-japanese
 * texlive-latex-extra
 * biber
+* tidy
 
 To use the scripts you have to install the dependencies listed in the
 headers of the scripts.
@@ -84,3 +90,8 @@ The code is licensed under GNU General P
 
 [pdf]: https://ddp-team.pages.debian.net/dpb/BuildWithGBP.pdf
 [epub]: https://ddp-team.pages.debian.net/dpb/BuildWithGBP.epub
+[build-gbp.sh]: https://ddp-team.pages.debian.net/dpb/build-gbp.sh
+[build-gbp-java-plugin.sh]:  https://ddp-team.pages.debian.net/dpb/build-gbp-java-plugin.sh
+[build-gbp-maven-plugin.sh]:  https://ddp-team.pages.debian.net/dpb/build-gbp-maven-plugin.sh
+[build-gbp-webext-plugin.sh]:  https://ddp-team.pages.debian.net/dpb/build-gbp-webext-plugin.sh
+[build-gbp-python-plugin.sh]:   https://ddp-team.pages.debian.net/dpb/build-gbp-python-plugin.sh
diff -pruN 0.0~git20240505+e724106d1/debian/changelog 0.0~git20240516+29fcc7464/debian/changelog
--- 0.0~git20240505+e724106d1/debian/changelog	2024-05-05 10:13:21.000000000 +0000
+++ 0.0~git20240516+29fcc7464/debian/changelog	2024-05-17 15:15:28.000000000 +0000
@@ -1,3 +1,30 @@
+dpb (0.0~git20240516+29fcc7464) unstable; urgency=medium
+
+  [ Mechtilde Stehmann ]
+  * [d817aa8] Improved dependencies
+  * [d127c3c] Removed detecting paths for plugins
+  * [704fd44] Added Screenshot
+  * [d4b2554] Fixed program script
+  * [6e39df0] Small fixes in the program script
+  * [5bebe06] Set the sbuild schapter beside pbuilder
+  * [600c86b] Updated bibliogrphy entry
+  * [ffbf5e2] Updated descrption of sbuild
+  * [0893de2] Improved using sbuild
+  * [29fcc74] Prepared for building with sbuild
+  * [600c86b] Updated bibliogrphy entry
+  * [ffbf5e2] Updated descrption of sbuild
+  * [29fcc74] Prepared for building with sbuild
+
+ -- Mechtilde Stehmann <mechtilde@debian.org>  Fri, 17 May 2024 17:15:28 +0200
+
+dpb (0.0~git20240505+37488e55b) unstable; urgency=medium
+
+  * [c998e39] Improved indent of set +/-e
+  * [9853752] Added link to the program scripts
+  * [37488e5] Improved links with new lines
+
+ -- Mechtilde Stehmann <mechtilde@debian.org>  Tue, 14 May 2024 10:41:51 +0200
+
 dpb (0.0~git20240505+e724106d1) unstable; urgency=medium
 
   [ Mechtilde Stehmann ]
diff -pruN 0.0~git20240505+e724106d1/debian/control 0.0~git20240516+29fcc7464/debian/control
--- 0.0~git20240505+e724106d1/debian/control	2024-04-01 16:03:44.000000000 +0000
+++ 0.0~git20240516+29fcc7464/debian/control	2024-05-16 16:15:45.000000000 +0000
@@ -65,12 +65,13 @@ Recommends: apt-cacher-ng
  , lintian
  , locate
  , maven-debian-helper
+ , mmdebstrap
  , pbuilder
  , pristine-tar
  , quilt
  , sbuild
- , schroot
  , sudo
+ , uidmap
  , unzip
 Description: Scripts for building Debian packages
  In this package you find the scripts which can help you to build Debian
diff -pruN 0.0~git20240505+e724106d1/translation/en_US/target/BuildWithGBP.tex 0.0~git20240516+29fcc7464/translation/en_US/target/BuildWithGBP.tex
--- 0.0~git20240505+e724106d1/translation/en_US/target/BuildWithGBP.tex	2024-03-24 08:58:52.000000000 +0000
+++ 0.0~git20240516+29fcc7464/translation/en_US/target/BuildWithGBP.tex	2024-05-15 17:37:47.000000000 +0000
@@ -43,7 +43,10 @@
 
 %\booltrue{FormatEPUB} % !
 % die folgende Zeile wird für NoWeb benötigt
-\usepackage{noweb} \noweboptions{smallcode,longchunks,shift} 
+\usepackage{noweb} \noweboptions{smallcode,longchunks,shift}
+
+% To create QR-Coes within LaTeX
+\usepackage{qrcode}
 
 % Allows you to insert graphic files within a document. 
 \usepackage{graphicx} 
diff -pruN 0.0~git20240505+e724106d1/translation/en_US/target/Literatur.bib 0.0~git20240516+29fcc7464/translation/en_US/target/Literatur.bib
--- 0.0~git20240505+e724106d1/translation/en_US/target/Literatur.bib	2024-04-01 07:16:57.000000000 +0000
+++ 0.0~git20240516+29fcc7464/translation/en_US/target/Literatur.bib	2024-05-16 16:09:29.000000000 +0000
@@ -527,10 +527,10 @@
   booktitle = {https://manpages.debian.org},
 }
 
-@Proceedings{SBuild2022,
+@Proceedings{SBuild2024,
   title     = {SBuild},
-  year      = {2022},
-  date      = {2022-11-20},
+  year      = {2024},
+  date      = {2024-05-15},
   url       = {https://wiki.debian.org/sbuild},
   author    = {wiki.debian.org},
   booktitle = {https://wiki.debian.org/sbuild},
Binary files 0.0~git20240505+e724106d1/translation/en_US/target/Pictures/BuildJavaMavenPackage.png and 0.0~git20240516+29fcc7464/translation/en_US/target/Pictures/BuildJavaMavenPackage.png differ
